Bug 141175 - CRASH: cutting content with redlines
Summary: CRASH: cutting content with redlines
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks: redlinehide-regressions
  Show dependency treegraph
 
Reported: 2021-03-22 13:01 UTC by Xisco Faulí
Modified: 2021-12-15 12:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sw::DocumentContentOperationsManager::CopyImplImpl(SwPaM &,SwPosition &,SwCopyFlags,SwPaM * const)"]
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-03-22 13:01:56 UTC
Steps to reproduce:
1. Open attachment 49916 [details] from bug 39828
2. use Select all 3 times
3. Cut

-> Crash

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 5262a9e88037decc26da84e7fa62f2955d4cdb85
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-03-22 13:05:20 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=27aa4b16bf704d0246595750daf57b57ff2577b3

author	Michael Stahl <Michael.Stahl@cib.de>	2020-03-31 17:37:51 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-04-03 17:19:33 +0200
commit 27aa4b16bf704d0246595750daf57b57ff2577b3 (patch)
tree d678594c39c8028ae8e8dc103b62f2dd06f10a16
parent d7c9bb6b51f44b01b23134fb22c0902d85f31329 (diff)
(related: tdf#130685) sw: fix ~SwIndexReg asserts from ...

Bisected with: bibisect-linux64-7.0

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2021-06-01 08:48:45 UTC
Still reproducible in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: f49e5902a3737c02fabf5bec23243ccb126426c4
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Commit Notification 2021-12-14 19:44:45 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/19f2054c6063177d08c818c5b7eeba7ab9178249

tdf#141175 sw_redlinehide: fix crash in lcl_DeleteRedlines()

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (allotropia) 2021-12-14 19:47:38 UTC
fixed on master
Comment 5 Commit Notification 2021-12-15 07:40:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/d29f057ff03fcbccb81ccbac8d2ae2954ca3daef

tdf#141175 sw_redlinehide: fix crash in lcl_DeleteRedlines()

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-12-15 07:41:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7b672a6d89581885c305068a714a72b5352de12f

tdf#141175 sw_redlinehide: fix crash in lcl_DeleteRedlines()

It will be available in 7.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-12-15 11:28:55 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41f7b1b12dfdfce508f04878409854fb9da38874

tdf#141175: sw_uiwriter3: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-12-15 12:53:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-5":

https://git.libreoffice.org/core/commit/1f7f15eb41a76e0dee17dead3aad0baca2451d94

tdf#141175 sw_redlinehide: fix crash in lcl_DeleteRedlines()

It will be available in 7.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.